
%global meadversion 3.0.2
%global namedversion 3.0.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-enterprise-concurrent-api}
%{!?scl:%global pkg_name %{name}}

%global artifact_name jakarta.enterprise.concurrent-api

%define maven_version 3.0.2.redhat-00001

Name:           %{?scl_prefix}jakarta-enterprise-concurrent-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Concurrency API
Group:          Development/Java

%if %with mead
Source100: jakarta.enterprise.concurrent-api-3.0.2.redhat-00001-project-sources.tar.gz
Source102: jakarta.enterprise.concurrent-api-3.0.2.redhat-00001-sources.jar
Source103: jakarta.enterprise.concurrent-api-3.0.2.redhat-00001.pom
Source104: jakarta.enterprise.concurrent-api-3.0.2.redhat-00001-javadoc.jar
Source105: jakarta.enterprise.concurrent-api-3.0.2.redhat-00001.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://github.com/jakartaee/concurrency

BuildArch:      noarch
BuildRoot:      %{_tmppath}/jakarta-enterprise-concurrent-api-%{namedversion}-%{release}-root

%description
Jakarta Concurrency API Module.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jakarta-enterprise-concurrent-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n %{artifact_name}-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}-javadoc.jar
%endif
%if 0
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-enterprise-concurrent-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact_name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{artifact_name}-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-enterprise-concurrent-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-enterprise-concurrent-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jakarta-enterprise-concurrent-api
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/%{artifact_name}-%{namedversion}.jar
%{_javadir}/%{artifact_name}.jar
%if %with javadoc
%{_javadir}/%{artifact_name}-%{namedversion}-javadoc.jar
%{_javadir}/%{artifact_name}-javadoc.jar
%endif
%if 0
%{_javadir}/%{artifact_name}-%{namedversion}-sources.jar
%{_javadir}/%{artifact_name}-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{artifact_name}-%{namedversion}
%{_javadocdir}/%{artifact_name}
%endif

%changelog
* Mon Mar 27 2023 cpaas-ops <cpaas-ops@redhat.com> - 3.0.2-1.redhat_00001.1
- Built by CPaaS

* Tue Nov 08 2022 Yong Yang <yyang@redhat.com> - 3.0.0-4.redhat_00001.1
- 3.0.0.redhat_00001

* Tue Nov 08 2022 Yong Yang <yyang@redhat.com> - 3.0.0-1.redhat_00001.1
- 3.0.0.redhat-00001
